\documentstyle[12pt]{article}
\def\R{\hbox{\rm I \kern-5.5pt R}}
\def\row#1#2{{#1}_1,{#1}_2,\ldots {#1}_{#2}}
\def\picture #1 by #2 (#3){
\vbox to #2{
\hrule width #1 height 0pt depth 0pt
\vfill
\special{picture #3}
}
}
\begin{document}
\centerline{\large \bf New Zealand Mathematical Olympiad Camp}
\bigskip
\medskip
\centerline{\large \bf Christchurch, 1998}
\bigskip
\medskip
\centerline{\Large \bf TEAM PROBLEMS NO. 3}
\vspace{2cm}
\begin{enumerate}
\item Let $M$ be a convex polygon in the plane. The plane was rotated
about
a certain
point through an angle of $90^{\circ}$ and the image of $M$ after the
rotation
happend to coincide with $M$. Prove that there exist two circles whose
radii are in
ratio $\sqrt{2}$ such that one of them contains $M$ and the other is
contained in
$M$.\par
\medskip
\item The altitudes through the vertices $A$, $B$, $C$ of an
acute-angled
triangle $ABC$ meet the opposite sides at $D$, $E$, $F$,
respectively. The line through $D$ parallel to $EF$ meets the lines
$AC$ and $AB$ at $Q$ and~$R$, respectively. The line $EF$ meets $BC$
at~$P$. Prove that the circumcircle of the triangle $PQR$ passes
through the midpoint of $BC$.\par
\medskip
\item Let $ M,A_1,A_2,\ldots ,A_n$ $(n\ge 3)$ be distinct points in the
plane such that
$$ A_1A_2=A_2A_3=\cdots =A_{n-1}A_n=A_nA_1.$$
Prove the inequality
$$
{1\over MA_1 \cdot MA_2}+{1\over MA_2\cdot MA_3}+\cdots +{1\over
MA_{n-1}\cdot MA_n}\ge {1\over MA_1
\cdot MA_n},
$$
and determine all cases when the equality occurs.
\end{enumerate}
\newpage
%============================
\centerline{\large \bf New Zealand Mathematical Olympiad Camp}
\bigskip
\medskip
\centerline{\large \bf Christchurch, 1997}
\bigskip
\medskip
\centerline{\Large \bf TEAM PROBLEMS NO. 3}
\vspace{1cm}
\centerline{\Large \bf SOLUTIONS}
\vspace{1cm}
{\bf 1.} Let $O$ be the centre of the rotation and $A$ be the point of
the
polygon
from which the distance to $O$ is maximal among all points of the
polygon. The
rotation takes $A$ to $B$, $B$ to $C$, $C$ to $D$, and $D$ back
to $A$. As $M$ coincides with itself after the rotation, the points
$A,B,C,D$ belong
to $M$. Since $M$ is convex the whole square $ABCD$ belongs to $M$. Let
us
draw the
circle centred at $O$ with radius $OA$. As the distance $OA$ is maximal
the
polygon
$M$ lies inside this circle. On the other hand we can inscribe a circle
of
radius ${1\over \sqrt{2}}OA$ inside the square $ABCD$ and it will be
contained in
$M$.\par
\medskip
{\bf 2.} The existence of~$P$ implies that ${AB\ne AC}$. By
symmetry, it can be assumed that ${AB>AC}$. Then the points $P$ and $D$
lie on the ray~$MC$. \par
\begin{figure}[h]
\centerline{\picture 3.5in by 1.5in (fig7 scaled 800)}
\caption{}
\end{figure}
The points $B$, $C$, $E$, $F$ are concyclic; hence
${PB\cdot PC=PE\cdot PF}$. The circumcircle of the pedal
triangle $DEF$, i.e., the {\it Euler circle\/} of the triangle $ABC$,
passes through the midpoints of the sides of the latter; in particular,
it passes through~$M$, the midpoint of $BC$.
Thus ${PE\cdot PF=PD\cdot PM}$. Consequently,
$$PB\cdot PC=PD\cdot PM.\eqno(1)$$
The triangle $AEF$ is similar to $ABC$; hence
${\angle ABC=\angle AEF}$. Since ${QD\Vert EF}$, the angle $AEF$ is
equal to $CQD$. The angle $ABC$ coincides with $RBD$.
Thus ${\angle RBD=\angle CQD}$. Obviously, ${\angle BDR=\angle QDC}$.
It follows that the triangle $BDR$ is similar to $QDC$. Therefore
${DQ\cdot DR=DB\cdot DC}$. If we now can show that
$$DB\cdot DC=DP\cdot DM,\eqno(2)$$
the equality ${DQ\cdot DR=DP\cdot DM}$ will result, proving that
%the points
$Q$, $R$, $M$, $P$ are concyclic. The proof has been thus
reduced to the implication~${(1)\Rightarrow(2)}$.
Let ${MB=MC=a}$, $\;{MD=d}$, $\;{MP=p}$. Then we have ${PB=p+a}$,
$\;{DB=a+d}$, $\;{PC=p-a}$, $\;{DC=a-d}$, $\;{DP=p-d}$. The equation (1)
becomes \
$$(p+a)(p-a)=(p-d)p,$$
%${p+a)(p-a)=(p-d)p}$, \
implying the equality $\,{a^2=dp}$. The claimed formula (2) takes the
form \
$$(a+d)(a-d)=(p-d)d,$$
%${(a+d)(a-d)=(p-d)d}$, \
which is again
equivalent to $\;{a^2=dp}$. The result follows.
\medskip
{\bf Comment}:
The proof admits variations, here and there. For instance, it is easy
to show that $P$ and $D$ are inverse points with respect to the circle
with diameter $BC$, thus providing a~proof of the equality
$\,{a^2=dp}$.
Solutions using trigonometry or coordinate geometry are also possible;
calculations are not straightforward, but not too hard, either.
E.g., setting ${D=(0,0)}$, $\,{A=(0,1)}$, $\,{B=(b,0)}$, $\,{C=(c,0)}$,
we compute
$\,{M=\bigl(\,{b+c\over2}\,,\,0\,\bigr)}$,
$\;{P=\bigl(\,{2bc\over b+c}\,,\,0\,\bigr)}$,
$\;{Q=\bigl(\,{c(1-bc)\over1+c^2}\,,\,{c(b+c)\over1+c^2}\,\bigr)}$,
$\;{R=\bigl(\,{b(1-bc)\over1+b^2}\,,\,{b(b+c)\over1+b^2}\,\bigr)}$, and
hence derive the needed equality ${DQ\cdot DR=DP\cdot DM}$.
The result is true for any triangle, acute-angled or not, provided that
$A$ is not a~right angle (otherwise one cannot speak about the line
$EF$). In this slightly more general case the proof presented above
requires some small and rather obvious changes; the proofs by
calculation work without any change. \par
\medskip
{\bf 3.} {\bf Solution 1:} Applying Ptolemy's Inequality to
$MA_1A_kA_{k+1}$ we get
$$
MA_1\cdot A_kA_{k+1} + A_1A_{k}\cdot MA_{k+1}\ge A_1A_{k+1}\cdot MA_k,
$$
(which for $k=1$ degenerates into an equality).
We divide this expression by $MA_1\cdot MA_k\cdot MA_{k+1}$ to get
$$
\frac{A_kA_{k+1}}{MA_k\cdot MA_{k+1}}\ge \frac{A_1A_{k+1}}{MA_1\cdot
MA_{k+1}} -
\frac{A_1A_{k}}{MA_1\cdot MA_{k}}.
$$
Summing these inequalities for $k=1,2,\dots , n{-}1$ we obtain
$$
\frac{A_1A_2}{MA_1\cdot MA_2}+\frac{A_2A_3}{MA_2\cdot MA_3}+\cdots +
\frac{A_{n-1}A_{n}}{MA_{n-1}\cdot MA_{n}}\ge
$$
$$
\frac{A_1A_{n}}{MA_1\cdot MA_n}-\frac{A_1A_1}{MA_1\cdot MA_1}=
\frac{A_1A_{n}}{MA_1\cdot MA_n}.
$$
As $A_1A_2=A_2A_3=\cdots =A_nA_1$ we get the desired inequality.
Equality holds iff it holds for each inequality that was summed up, that
is for
all $k=1,2,\dots ,n{-}1$. It happens when the points $A_1,A_k,A_{k+1},M$
lie on a
circumference and in this particular order. This means that the points
$M,A_1,\dots ,A_n$ lie on the circumference in this order. In this case
$A_1,A_2,\dots ,A_n$ is a regular $n$-gon and $M$ belongs to the
shortest arc
$\widehat{A_1A_n}$.\par
\medskip
{\bf Solution 2:} Consider an inversion $i$ with
%center
pole $ M$ and any coefficient $ r$. Let $ M',A_1',A_2',\ldots ,A_n'$ be
the
images of $ M,\row An$, respectively, under this inversion. Applying the
generalized triangle inequality for the points $ A_1',A_2',\ldots
,A_n'$,
we get
$$
A'_1A'_2+A'_2A'_3+\cdots +A'_{n-1}A'_n\ge A'_1A'_n.\eqno(1)
$$
\indent It is well-known (or easy to prove) how distances between images
of
points under inversion
can be expressed. In our case, if $ X$, $ Y$ are any two points
different
from $ M$, and if $ X'$, $
Y'$ are their images under $ i$ then
$$ X'Y'={r^2\cdot XY\over MX \cdot MY}.$$
This formula can be applied to any pair of points $ \row An$ because
they
are all different from $
M$. So we rewrite $ (1)$ in the form
$$
{ r^2 \cdot A_1A_2\over MA_1 \cdot MA_2}+{ r^2 \cdot A_2A_3\over MA_2
\cdot
MA_3}+\cdots +{ r^2
\cdot A_{n-1}A_n\over MA_{n-1}\cdot MA_n}\ge { r^2 \cdot A_1A_n\over
MA_1
\cdot MA_n}.
$$
Since $ A_1A_2=A_2A_3=\cdots =A_{n-1}A_n=A_nA_1$, the latter yields
$$
{1\over MA_1 \cdot MA_2}+{1\over MA_2\cdot MA_3}+\cdots +{1\over
MA_{n-1}\cdot MA_n}\ge {1\over MA_1
\cdot MA_n},\eqno(2)
$$
as desired.
It is clear from the above argument that $ (1)$ and $ (2)$ are
simultaneously strict inequalities or equalities. So it remains to
establish all cases when $ (1)$ is an equality. This happens if and only
if
$\row {A'}{n}$ are points of a line $\ell$ arranged in this order. Now,
the
preimage of
%any line
$\ell$ under $ i$ can be either
\smallskip
%\item{
a) the same line, if it passes through the pole $ M$,
\par\noindent or\par
\smallskip
%\item{
b) a circle $ C$ through $ M$, if $\ell$ does not
%pass through
contain $ M$.
\smallskip
In case a), the disposition of $\row {A'}{n}$ on $ \ell$ in this order
is
equivalent to $ M,\row An$ being arranged in the order $
A_k,A_{k-1},\ldots
,A_1,M,A_{n},\ldots ,A_{k+1}$ on $ \ell$. This is, however, impossible,
given the condition $ A_1A_2=A_2A_3=\cdots =A_{n-1}A_n=A_nA_1$.
In case b), the condition is satisfied if and only if $ M$ is on the
arc $
\widehat{A_1A_n}$ of $ C$ that does not contain any of the points $
A_2,A_3,\ldots
,A_{n-1}$.
Summing up, we conclude that equality occurs if and only if
%all cases of equality are:
$ M,\row An$ lie on a circle, arranged in this order, with respect to
one
of the two
possible directions.\par
\medskip
{\bf Comment 1:} The argument is independent of whether or not the given
points lie in the same plane. It does not change in the slightest if
they
are
%, regardless whether $ M,\row An$ are points in the plane or
in three-dimensional space.\par
\medskip
{\bf Comment 2:} It follows from the above solution that arbitrary
distinct
points $ M,\row An$ satisfy the inequality
$$ { A_1A_2\over MA_1 \cdot MA_2}+{ A_2A_3\over MA_2 \cdot MA_3}+\cdots
+{
A_{n-1}A_n\over MA_{n-1}\cdot MA_n}\ge { A_1A_n\over MA_1 \cdot MA_n},$$
and that the only possible cases of equality are the ones listed above.
\end{document}